%define anolis_release 1
%global pypi_name smart-open
%global pypi_version 6.4.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Utils for streaming large files (S3, HDFS, GCS, Azure Blob Storage, gzip, bz2

License:        MIT
URL:            https://github.com/piskvorky/smart_open
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/smart_open-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel tox python-tox-current-env
BuildRequires:  python3dist(boto3)
BuildRequires:  python3dist(paramiko)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(responses)
BuildRequires:  python3dist(setuptools)

%description
smart_open is a Python 3 library for efficient streaming of very large files from/to storages 
such as S3, GCS, Azure Blob Storage, HDFS, WebHDFS, HTTP, HTTPS, SFTP, or local filesystem. 
It supports transparent, on-the-fly (de-)compression for a variety of different formats.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(boto3)
Requires:       python3dist(paramiko)
Requires:       python3dist(pytest)
Requires:       python3dist(requests)
Requires:       python3dist(responses)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
smart_open is a Python 3 library for efficient streaming of very large files from/to storages 
such as S3, GCS, Azure Blob Storage, HDFS, WebHDFS, HTTP, HTTPS, SFTP, or local filesystem. 
It supports transparent, on-the-fly (de-)compression for a variety of different formats.

%prep
%autosetup -n smart_open-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%tox

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/smart_open
%{python3_sitelib}/smart_open-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Fri Feb 02 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 6.4.0-1
- Initial package.
